complexType "NonNegativePayment"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | paymentAmount
</...>

Content Model Elements (1):

  paymentAmount (defined in NonNegativePayment complexType)

Known Direct Subtypes (3):

  ClassifiedPayment, CommodityPremium, FxOptionPremium

All Direct / Indirect Based Elements (8):

  additionalPayment (in correlationSwap), payment (defined in ImpliedTrade complexType), payment (defined in OptionExercise complexType), payment (defined in TradingEventSummary complexType), | premium (in commodityOption), premium (in commoditySwaption), premium (in fxDigitalOption), premium (in fxOption)

Known Usage Locations

- In derivations of other global types (3):

  ClassifiedPayment (as extension base), CommodityPremium (as extension base), | FxOptionPremium (as extension base)

- As direct type of elements (3):

  payment (defined in ImpliedTrade complexType), payment (defined in OptionExercise complexType), | payment (defined in TradingEventSummary complexType)

Annotation
A complex type to specify non negative payments.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentBaseExtended (extension) NonNegativePayment

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="NonNegativePayment"> <xsd:complexContent> <xsd:extension base="PaymentBaseExtended"> <xsd:sequence> <xsd:element name="paymentAmount" type="NonNegativeMoney"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
paymentAmount

  Type: | NonNegativeMoney, complex content

  Non negative payment amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentAmount" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.